Bug 1829073 - invalid must-gather istag imported for ppc64le setups
Summary: invalid must-gather istag imported for ppc64le setups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.4
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1818476
Blocks: 1829083
TreeView+ depends on / blocked
 
Reported: 2020-04-28 20:21 UTC by Gabe Montero
Modified: 2020-05-26 16:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the samples operator was not copying the install pull secret when bootstrapped as removed Consequence: even though the samples operator has not installed any imagestreams into the openshift namespace, the CVO installs a set of imagestreams in the openshift to assist with customer problem determination, and those imagestreams were failing to import Fix: samples operator was updated to copy the install pull secret to the openshift namespace even when marked as removed Result: the CVO imagestreams in the openshift namespace import successfully
Clone Of: 1818476
Environment:
Last Closed: 2020-05-26 16:50:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 266 None closed Bug 1829073: copy install pull secret when boostrapped as removed 2020-06-18 19:57:04 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:49 UTC

Comment 5 XiuJuan Wang 2020-05-18 10:04:37 UTC
Due to this bug #1829786, need retag must-gather again, then the imagestream could be import successfully.

If we are good to use this result to verify, then I will mark it as verified.

On 4.4.0-0.nightly-2020-05-18-014003 disconnect cluster
$oc get is must-gather -o yaml 
spec:
  lookupPolicy:
    local: false
  tags:
  - annotations: null
    from:
      kind: DockerImage
      name: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536
    generation: 2
    importPolicy:
      scheduled: true
    name: latest
    referencePolicy:
      type: Source
status:
  dockerImageRepository: image-registry.openshift-image-registry.svc:5000/openshift/must-gather
  tags:
  - conditions:
    - generation: 2
      lastTransitionTime: "2020-05-18T08:57:37Z"
      message: 'Internal error occurred: [xiuwang-44bug.mirror-registry.qe.gcp.devcluster.openshift.com:5000/ocp/release@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536:
        Get https://xiuwang-44bug.mirror-registry.qe.gcp.devcluster.openshift.com:5000/v2/:
        x509: certificate signed by unknown authority, quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536:
        Get https://quay.io/v2/: net/http: request canceled while waiting for connection
        (Client.Timeout exceeded while awaiting headers)]'
      reason: InternalError
      status: "False"
      type: ImportSuccess
    items: null
    tag: latest

$oc import-image must-gather:latest --from=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536 -n openshift  
imagestream.image.openshift.io/must-gather imported

Name:			must-gather
Namespace:		openshift
Created:		About an hour ago
Labels:			<none>
Annotations:		openshift.io/image.dockerRepositoryCheck=2020-05-18T10:01:34Z
Image Repository:	image-registry.openshift-image-registry.svc:5000/openshift/must-gather
Image Lookup:		local=false
Unique Images:		1
Tags:			1

latest
  updates automatically from registry quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536

  * quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536
      Less than a second ago

Image Name:	must-gather:latest
Docker Image:	quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536
Name:		sha256:e793d5e67079f3ccd55657ea080e9ced5edc6a29f751364b3a0593afbacf9536
Created:	Less than a second ago
Annotations:	image.openshift.io/dockerLayersOrder=ascending
Image Size:	111.7MB in 6 layers
Layers:		76.28MB	sha256:a3ac36470b00df382448e79f7a749aa6833e4ac9cc90e3391f778820db9fa407
		1.598kB	sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1
		3.501MB	sha256:aa4157ec14434883020edddc2a6a5f1169fd1d795a1423d52e73c0c913d16061
		8.237MB	sha256:7ade25c9dc937fe930b551d89fc3e0aebf55039e1fb398ea26f89bc6a91fc6e9
		23.7MB	sha256:5af7863aefcbf682fd4550497a97f0f79c7d2e586892484fe38a72634ed68792
		4.506kB	sha256:90dc825d12c2bb8366b5998d0a25eb87e32a128f18739fb0275c121b6ecde32d
Image Created:	43 hours ago
Author:		<none>
Arch:		amd64
Command:	/bin/bash
Working Dir:	<none>
User:		0
Exposes Ports:	<none>
Docker Labels:	License=GPLv2+
		architecture=x86_64
		build-date=2020-05-16T15:01:02.395256
		com.redhat.build-host=cpt-1003.osbs.prod.upshift.rdu2.redhat.com
		com.redhat.component=ose-must-gather-container
		com.redhat.license_terms=https://www.redhat.com/en/about/red-hat-end-user-license-agreements
		description=OpenShift is a platform for developing, building, and deploying containerized applications.
		distribution-scope=public
		io.k8s.description=OpenShift is a platform for developing, building, and deploying containerized applications.
		io.k8s.display-name=OpenShift Client
		io.openshift.build.commit.id=3cac0b5359daebde19240b70c45c860a61e61df8
		io.openshift.build.commit.url=https://github.com/openshift/must-gather/commit/3cac0b5359daebde19240b70c45c860a61e61df8
		io.openshift.build.source-location=https://github.com/openshift/must-gather
		io.openshift.maintainer.component=oc
		io.openshift.maintainer.product=OpenShift Container Platform
		io.openshift.tags=openshift,cli
		name=openshift/ose-must-gather
		release=202005161254
		summary=Provides the latest release of the Red Hat Universal Base Image 7.
		url=https://access.redhat.com/containers/#/registry.access.redhat.com/openshift/ose-must-gather/images/v4.4.0-202005161254
		vcs-ref=77f3202dddfaf7c0245d0ab7ca3f2c5f0b3813da
		vcs-type=git
		vendor=Red Hat, Inc.
		version=v4.4.0
Environment:	__doozer=merge
		BUILD_RELEASE=202005161254
		BUILD_VERSION=v4.4.0
		OS_GIT_MAJOR=4
		OS_GIT_MINOR=4
		OS_GIT_PATCH=0
		OS_GIT_TREE_STATE=clean
		OS_GIT_VERSION=4.4.0-202005161254-3cac0b5
		OS_GIT_COMMIT=3cac0b5
		SOURCE_DATE_EPOCH=1576943289
		SOURCE_GIT_COMMIT=3cac0b5359daebde19240b70c45c860a61e61df8
		SOURCE_GIT_TAG=3cac0b5
		SOURCE_GIT_URL=https://github.com/openshift/must-gather
		PATH=/usr/local/

Comment 6 Gabe Montero 2020-05-18 12:58:12 UTC
Yes XiuJuan, same methodology ... running either a disconnected install or ipv6 install (1 or the 2 is sufficient) should result in samples bootstrapping as removed, just like with s390/ppc64le

Then you can verify that the payload image streams like must-gather or cli still exists and properly import.

Comment 7 Gabe Montero 2020-05-19 12:23:34 UTC
My #Comment 6 was in response to #Comment 4 from XiuJuan.

Just now fully processed her #Commen
Yes, the results even with the other bug are a sufficient verification.

Marking verified.

Comment 9 errata-xmlrpc 2020-05-26 16:50:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.